Bug 1203728 - Docker Compute Resource Test Connection doesn't show errors
Summary: Docker Compute Resource Test Connection doesn't show errors
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Container Management
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: Unspecified
Assignee: satellite6-bugs
QA Contact: Og Maciel
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-19 14:38 UTC by Corey Welton
Modified: 2019-04-01 20:26 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-08-12 13:56:14 UTC
Target Upstream Version:


Attachments (Terms of Use)
logs (32.22 KB, text/plain)
2015-03-19 14:39 UTC, Corey Welton
no flags Details

Description Corey Welton 2015-03-19 14:38:58 UTC
Description of problem:
After user has connected a container compute resource and tries to view containers, an error is thrown.

Version-Release number of selected component (if applicable):

Satellite-6.1.0-RHEL-7-20150311.1

How reproducible:
Seems to happen for me every time but I am not sure why others aren't seeing it.

Steps to Reproduce:
1.  Set up a container instance -- 
  Give it a Name, i.e., 'sesame'
  Give it an URL, i.e., 'http://sesame.example.com:5000'
2.  Go to Containers > All Containers


Actual results:


"Oops, we're sorry but something went wrong
 
×
Expected([200, 201, 202, 203, 204, 304]) <=> Actual(404 Not Found)
If you feel this is an error with Satellite 6 itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full trace and relevant log entries.

Back"


Expected results:

Can view containers

Additional info:

Comment 1 Corey Welton 2015-03-19 14:39:49 UTC
Created attachment 1003854 [details]
logs

Comment 3 Corey Welton 2015-03-19 15:22:55 UTC
This apparently comes from using the wrong port -- using the registry port (5000) instead of the daemon port (2375)

I should note that "Test Connection" did nothing, so there are two bz here:

* Test Connection should actually work
* We should handle bad ports gracefully.

Comment 5 Og Maciel 2015-03-24 18:50:55 UTC
Verified by QE on Satellite-6.1.0-RHEL-7-20150320.1. Test Connection button will now display an error message to the user.

Comment 6 Bryan Kearney 2015-08-11 13:20:04 UTC
This bug is slated to be released with Satellite 6.1.

Comment 7 Bryan Kearney 2015-08-12 13:56:14 UTC
This bug was fixed in version 6.1.1 of Satellite which was released on 12 August, 2015.


Note You need to log in before you can comment on or make changes to this bug.